Subject: Parser Package For Perl 5
From: Pat Martin <[email-masked]>
Date: 22 Jun 1995 00:40:11 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.misc,comp.lang.perl

Below is a uuencoded, tarred and compressed file containing a
parsing package for Perl 5.  I got tired of writing parsers
in perl so I came up with a more generic way of doing it.

It should contain:

Text::Parser.pm - A parser parser.
Text::ml.pm     - A package for string matching over multiple lines.

PTest1-4        - A few test cases, not even close to an exhaustive
                  test suite.
PTest[\d].data  - Various test files accompanying the tests.

It's pretty well documented but there is no readme.  I was hoping
that the code examples and the comments would be enough.

PS: Don't send me mail after June 23 because my account is changing
    and I don't yet know what my new login will be.

I hope this proves as useful to you guys as it has to me.

-------------------------- CUT HERE -------------------------------